---
title: "Unassign brand"
url: "https://docs.signnow.com/docs/deprecated-branding/operations/post-v2-brands-brand_id-unassing"
type: "endpoint"
section: "deprecated-branding"
slug: "deprecated-branding/operations/post-v2-brands-brand_id-unassing"
method: "POST"
path: "/v2/brands/{brand_id}/unassign"
operation_id: "post-v2-brands-brand_id-unassing"
authorization: "bearer"
---

# Unassign brand

`POST /v2/brands/{brand_id}/unassign`

This endpoint allows users to unassign branding from an entity.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes |  |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "entity_type",
    "entity_id"
  ],
  "properties": {
    "entity_id": {
      "type": "string",
      "description": "The specified application ID."
    },
    "entity_type": {
      "type": "string",
      "description": "Must be `application`. Coming soon: `invite`, `organization`."
    }
  },
  "x-examples": {
    "Example 1": {
      "entity_id": "{entity_unique_id}",
      "entity_type": "application"
    }
  }
}
```

**Example** (`example-1`)

```json
{
  "entity_id": "12XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "entity_type": "application"
}
```

## Responses

### 204

No Content

### 400

* Request without token/with invalid external bearer token/ with external app basic token
* Request with valid bearer token from other user logged in
* Request with invalid payload
* Request with `entity_type` is not string
* Request with `entity_type` is missing
* Request with `entity_type` is empty
* Request with `entity_type` is not `application`
* Request with `entity_id` is not string
* Request with `entity_id` is missing
* Request with `entity_id` is empty
* Request when brand assignment already exists for the application

**Example** (`Request with invalid payload`)

```json
{
  "code": 25002017,
  "message": "Invalid payload given."
}
```

**Example** (`Request with entity_id is empty`)

```json
{
  "code": 25002024,
  "message": "Entity unique id must not be an empty string."
}
```

**Example** (`Request with entity_id is missing`)

```json
{
  "code": 25002023,
  "message": "Entity unique id is required."
}
```

**Example** (`Request with entity_type is empty`)

```json
{
  "code": 25002020,
  "message": "Entity type must not be an empty string."
}
```

**Example** (`Request with entity_type is missing`)

```json
{
  "code": 25002019,
  "message": "Entity type is required."
}
```

**Example** (`Request with entity_type is not string`)

```json
{
  "code": 25002018,
  "message": "Entity type must be a string."
}
```

**Example** (`Request with entity_type is not application`)

```json
{
  "code": 25002021,
  "message": "Entity type contains an unexpected value."
}
```

**Example** (`Request with entity_unique_id is not string`)

```json
{}
```

**Example** (`Request with valid bearer token from other user logged in`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`Request when brand assignment already exists for the application`)

```json
{
  "code": 25002028,
  "message": "Brand assignment already exists for provided entity."
}
```

**Example** (`Request without token/with invalid external bearer token/ with external app basic token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* Request with `entity_id` does not exist - 40 characters
* Request with another user’s `entity_id`
* Request with `entity_id` for deleted/deactivated application

**Example** (`Request with another user’s entity_id`)

```json
{
  "code": 25002026,
  "message": "Action allowed only for the assignment owner."
}
```

**Example** (`Request with entity_id does not exist - 40 characters`)

```json
{
  "code": 25002026,
  "message": "Action allowed only for the assignment owner."
}
```

**Example** (`Request with entity_id for deleted/deactivated application`)

```json
{
  "code": 25002026,
  "message": "Action allowed only for the assignment owner."
}
```

### 404

* Request with a Bearer token from a user authorised with an external token from the app they don’t own
* Request with `brand_id` which does not exist

**Example** (`Request with brand_id which does not exist`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Request with a Bearer token from a user authorised with an external token from the app they don’t own`)

```json
{
  "errors": [
    {
      "code": 25002001,
      "message": "Brand action not allowed"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/brands/{brand_id}/unassign" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"entity_id": "12XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX", "entity_type": "application"}'
```

---
*Full reference: https://docs.signnow.com/docs/deprecated-branding/operations/post-v2-brands-brand_id-unassing*
